svn commit: r228192 - head/usr.sbin/bsdinstall/scripts

Ken Smith kensmith at FreeBSD.org
Fri Dec 2 00:38:48 UTC 2011


Author: kensmith
Date: Fri Dec  2 00:38:47 2011
New Revision: 228192
URL: http://svn.freebsd.org/changeset/base/228192

Log:
  Add a screen that asks if the user would like to enable crash dumps,
  giving them a very brief description of the trade-offs.  Whether the
  user opts in or out add an entry to what will become /etc/rc.conf
  explaining what dumpdev is and how to turn on/off crash dumps.  The folks
  who handle interacting with users submitting PRs have asked for this.
  
  Reviewed by:	nwhitehorn
  MFC after:	1 day

Modified:
  head/usr.sbin/bsdinstall/scripts/services

Modified: head/usr.sbin/bsdinstall/scripts/services
==============================================================================
--- head/usr.sbin/bsdinstall/scripts/services	Thu Dec  1 22:50:10 2011	(r228191)
+++ head/usr.sbin/bsdinstall/scripts/services	Fri Dec  2 00:38:47 2011	(r228192)
@@ -26,6 +26,8 @@
 #
 # $FreeBSD$
 
+: ${DIALOG_OK=0}
+
 if [ -f $BSDINSTALL_TMPETC/rc.conf.services ]; then
 	eval `sed -e s/YES/on/I -e s/NO/off/I $BSDINSTALL_TMPETC/rc.conf.services`
 else
@@ -51,3 +53,15 @@ for daemon in $DAEMONS; do
 	echo ${daemon}_enable=\"YES\" >> $BSDINSTALL_TMPETC/rc.conf.services
 done
 
+echo \# Set dumpdev to \"AUTO\" to enable crash dumps, \"NO\" to disable >> \
+	$BSDINSTALL_TMPETC/rc.conf.services
+
+dialog --backtitle "FreeBSD Installer" --title "Dumpdev Configuration" \
+	--nocancel --yesno \
+	"Would you like to enable crash dumps?  If you start having problems with the system it can help the FreeBSD developers debug the problem.  But the crash dumps can take up a lot of disk space in /var." 0 0
+
+if [ $? -eq $DIALOG_OK ]; then
+	echo dumpdev=\"AUTO\" >> $BSDINSTALL_TMPETC/rc.conf.services
+else
+	echo dumpdev=\"NO\" >> $BSDINSTALL_TMPETC/rc.conf.services
+fi


More information about the svn-src-head mailing list